Touchpad hotkey 'functional' but has no effect in 18.04 (Bionic)

Bug #1760338 reported by Sidney Lins on 2018-03-31
26
This bug affects 4 people
Affects Status Importance Assigned to Milestone
Ubuntu
Undecided
Unassigned
linux (Ubuntu)
Medium
Unassigned
xinput (Ubuntu)
Undecided
Unassigned
xserver-xorg-input-synaptics (Ubuntu)
Undecided
Unassigned

Bug Description

All the Fn keys are working (audio, mute, bright, volume and even wifi) except for enable/disable touchpad. Does not toggle the touchpad.

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: xinput 1.6.2-1build1
ProcVersionSignature: Ubuntu 4.15.0-13.14-generic 4.15.10
Uname: Linux 4.15.0-13-generic x86_64
NonfreeKernelModules: nvidia_modeset nvidia
.proc.driver.nvidia.gpus.0000.01.00.0: Error: [Errno 21] É um diretório: '/proc/driver/nvidia/gpus/0000:01:00.0'
.proc.driver.nvidia.registry: Binary: ""
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86_64 Kernel Module 390.42 Sat Mar 3 04:10:22 PST 2018
 GCC version: gcc version 7.3.0 (Ubuntu 7.3.0-13ubuntu1)
ApportVersion: 2.20.9-0ubuntu2
Architecture: amd64
BootLog: Error: [Errno 13] Permissão negada: '/var/log/boot.log'
CompositorRunning: None
CurrentDesktop: ubuntu-communitheme:ubuntu:GNOME
Date: Sat Mar 31 15:41:59 2018
DistUpgraded: Fresh install
DistroCodename: bionic
DistroVariant: ubuntu
DkmsStatus:
 nvidia, 390.42, 4.15.0-12-generic, x86_64: installed
 nvidia, 390.42, 4.15.0-13-generic, x86_64: installed
 virtualbox, 5.2.8, 4.15.0-12-generic, x86_64: installed
 virtualbox, 5.2.8, 4.15.0-13-generic, x86_64: installed
GraphicsCard:
 Intel Corporation HD Graphics 530 [8086:191b] (rev 06) (prog-if 00 [VGA controller])
   Subsystem: Toshiba America Info Systems HD Graphics 530 [1179:f840]
InstallationDate: Installed on 2018-03-09 (21 days ago)
InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Alpha amd64 (20180309)
Lsusb:
 Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
 Bus 001 Device 008: ID 04f2:b446 Chicony Electronics Co., Ltd
 Bus 001 Device 003: ID 248a:8366
 Bus 001 Device 002: ID 04f3:2228 Elan Microelectronics Corp.
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: TOSHIBA Satellite S55t-C
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-13-generic root=UUID=62fa4fcd-f1c6-43f5-a86d-ccaae2565dac ro locale=pt_BR quiet splash vt.handoff=1
SourcePackage: xinput
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 10/08/2015
dmi.bios.vendor: INSYDE Corp.
dmi.bios.version: 1.20
dmi.board.name: 06F4
dmi.board.vendor: FF50
dmi.board.version: Type2 - Board Version
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: OEM Chassis ManuFacturer
dmi.chassis.version: OEM Chassis Version
dmi.modalias: dmi:bvnINSYDECorp.:bvr1.20:bd10/08/2015:svnTOSHIBA:pnSatelliteS55t-C:pvrPSPUGU-00200D:rvnFF50:rn06F4:rvrType2-BoardVersion:cvnOEMChassisManuFacturer:ct10:cvrOEMChassisVersion:
dmi.product.family: Type1Family
dmi.product.name: Satellite S55t-C
dmi.product.version: PSPUGU-00200D
dmi.sys.vendor: TOSHIBA
version.compiz: compiz N/A
version.libdrm2: libdrm2 2.4.91-2
version.libgl1-mesa-dri: libgl1-mesa-dri 18.0.0~rc5-1ubuntu1
version.libgl1-mesa-glx: libgl1-mesa-glx 18.0.0~rc5-1ubuntu1
version.nvidia-graphics-drivers: nvidia-graphics-drivers-* N/A
version.xserver-xorg-core: xserver-xorg-core 2:1.19.6-1ubuntu3
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:18.0.1-1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20171229-1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.15-2

Sidney Lins (sdlins) wrote :
hbchoong (hbchoong) wrote :

Upgraded from 16.04 to 18.04.1 LTS.
Similar issue encountered where Fn keys are working (audio, mute, bright, volume and even wifi) except for enable/disable touchpad.
However, Touchpad disabled graphic is displayed (indicating recognition) but unfortunately has no effect i.e. not able to enable/disable using Fn key (Fn+F5).

Affected system(s): Dell Latitude 6400/6430

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xinput (Ubuntu):
status: New → Confirmed
hbchoong (hbchoong) wrote :

affects bionic

affects: xinput (Ubuntu) → ubuntu
hbchoong (hbchoong) on 2018-09-25
Changed in xinput (Ubuntu):
status: New → Confirmed
hbchoong (hbchoong) on 2018-09-28
summary: - Fn key touchpad not working and delay on Fn bright/volume
+ Touchpad hotkey functional but has no effect in 18.04 (Bionic)
hbchoong (hbchoong) on 2018-09-28
Changed in xserver-xorg-input-synaptics (Ubuntu):
status: New → Confirmed
summary: - Touchpad hotkey functional but has no effect in 18.04 (Bionic)
+ Touchpad hotkey 'functional' but has no effect in 18.04 (Bionic)
hbchoong (hbchoong) on 2018-09-29
Changed in linux-signed (Ubuntu):
status: New → Confirmed
hbchoong (hbchoong) wrote :

The Trackpad Hotkey continues to be recognized however the same 'Trackpad deactivated' graphic pops-up every time Fn+F5 hotkey is depressed. This is somehow not linked to the Enable/Disable Trackpad functionality in Gnome Control Center/Settings (i.e. does nothing).

Perhaps when moving to Gnome from Unity, this hotkey feature was not linked to the Trackpad toggle functionality? (Unless there's a hidden shortcut key to enable/disable the Trackpad)

Joseph Salisbury (jsalisbury) wrote :

Did this issue start happening after an update/upgrade? Was there a prior kernel version where you were not having this particular problem?

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.19 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.19-rc7

affects: linux-signed (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
Sidney Lins (sdlins) wrote :

No, they started in a fresh new installation (18.04).
Sorry, I can't test it anymore cause I changed to Deepin and, last month, I changed back to Ubuntu but I completely removed gnome and installed DDE as my window manager. So sorry.

hbchoong (hbchoong) wrote :

updated kernels have also failed (can't find how to add requested tags, sorry)

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
hbchoong (hbchoong) wrote :

So sorry to bug you on this Peter, but could we please have your 2 cents on this issue? Many thanks

description: updated
hbchoong (hbchoong) wrote :

Hi Joseph,

I can confirm this issue also occurred on a system that was upgraded from 16.04.

(a) Out of curiousity, are you actually able to enable/disable your touchpad on your laptop with Gnome on 18.04 using the key combinations (Hotkey) specific to your laptop?

(b) Does not seem to affect old Unity environments but never worked since upgrade to Bionic with Gnome now in use. Linux kernel likely not propagating hotkey event to the now in use Gnome-control-center (or Gnome-settings-daemon) package involved with acting on the hotkey event?

The latest kernels have also failed.

"The Trackpad Hotkey continues to be recognized however the same 'Trackpad deactivated' graphic pops-up every time Fn+F5 hotkey is depressed. This is somehow not linked to the Enable/Disable Trackpad functionality in Gnome Control Center/Settings (i.e. does nothing)."

It's most likely some issue with the GNOME stack, but I have no idea how that one looks like these days on Ubuntu and I'm ETIME on figuring it out, sorry.

hbchoong (hbchoong) wrote :

Deleting the synaptics driver resolves the issue.
It appears the driver needs to be deleted with the introduction of the libinput driver (now that the synaptics driver has been deprecated).

However this issue/bug occurred as the synaptic driver was not deleted during the upgrade to 18.04 from 16.04 (most likely due the the fact that the config file was not empty - however it would be impossible for it to be empty if it was the driver used in 16.04, prior to the introduction of the libinput driver with the 18.04 upgrade).

Suggestion: For all future upgrades to 18.04, there is the need to ensure the synaptic driver is removed to avoid breaking this functionality and introducing the conflict. If the user decides he/she needs the deprecated synaptics driver, they can always install it after.
This way, Ubuntu 18.04 and beyond would not appear defective in this instance after an upgrade.

Affects: Upgrades to 18.04 and newer.

Conclusion: This bug can be closed when this is fixed in future releases of Ubuntu.

I'm not sure who needs to be communicated about this, can someone please help to see this through to obtain a fix implementation and thus closure? Thanks.

J B (scottie) wrote :

Can confirm that removing xserver-xorg-input-synaptics fixes the issue.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers